<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.yida.data.attendance.mapper.EduAttendanceNotArriveMapper">
    <select id="existNotArrive" resultType="java.lang.Integer">
        select 1
        from edu_attendance_not_arrive
        where del_flag=0 and
        student_id=#{studentId}
        limit 1
    </select>

    <select id="getLast"
            resultType="com.yida.data.common.core.entity.attendance.EduAttendanceNotArrive">
        select *
        from edu_attendance_not_arrive
        where student_id=#{studentId}
        order by create_date desc
        limit 1
    </select>
</mapper>